Bug 1298019 - Review Request: nvme-cli - NVMe management command line interface
Review Request: nvme-cli - NVMe management command line interface
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Chen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1274363 1327370 1344730
  Show dependency treegraph
 
Reported: 2016-01-12 21:04 EST by Andy Lutomirski
Modified: 2016-06-10 11:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-03 15:51:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
barracks510: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Andy Lutomirski 2016-01-12 21:04:06 EST
Spec URL: http://web.mit.edu/luto/www/fedora/nvme-cli-v1/nvme-cli.spec
SRPM URL: http://web.mit.edu/luto/www/fedora/nvme-cli-v1/nvme-cli-0.2-1.20160112gitde3e0f1.fc23.src.rpm
Description: nvme-cli provides NVM-Express user space tooling for Linux.
Fedora Account System Username: amluto
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=12523790

Self-review:  (NB: checksums are off because I fixed a trivial bug after generating this, and I didn't want to wait for fedora-review to run again.)


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated". 130 files have
     unknown license. Detailed output of licensecheck in
     /home/luto/devel/fedora/nvme-cli/nvme-cli/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in nvme-
     cli-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: nvme-cli-0.2-1.20160112gitde3e0f1.fc21.x86_64.rpm
          nvme-cli-debuginfo-0.2-1.20160112gitde3e0f1.fc21.x86_64.rpm
          nvme-cli-0.2-1.20160112gitde3e0f1.fc21.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (debuginfo)
-------------------
Checking: nvme-cli-debuginfo-0.2-1.20160112gitde3e0f1.fc21.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
nvme-cli (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)

nvme-cli-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
nvme-cli:
    nvme-cli
    nvme-cli(x86-64)

nvme-cli-debuginfo:
    nvme-cli-debuginfo
    nvme-cli-debuginfo(x86-64)



Source checksums
----------------
https://github.com/linux-nvme/nvme-cli/archive/de3e0f1477d30fe3ece68de9a354057c3ce6e5c8.tar.gz :
  CHECKSUM(SHA256) this package     : cc5afb51aa6d6d5cc49f1e0c41585adc2aa1e458c2cb5e930a4ab276b6a488a4
  CHECKSUM(SHA256) upstream package : cc5afb51aa6d6d5cc49f1e0c41585adc2aa1e458c2cb5e930a4ab276b6a488a4


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -rn nvme-cli-0.2-1.20160112gitde3e0f1.fc23.src.rpm
Buildroot used: fedora-21-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 1 Upstream Release Monitoring 2016-01-12 21:06:54 EST
amluto's scratch build of nvme-cli-0.2-1.20160112gitde3e0f1.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12523790
Comment 2 Andy Lutomirski 2016-01-20 22:19:15 EST
Here's v2.  It fixes "nvme list", which was broken due to some makefile sadness.

Spec URL: http://web.mit.edu/luto/www/fedora/nvme-cli-v2/nvme-cli.spec
SRPM URL: http://web.mit.edu/luto/www/fedora/nvme-cli-v2/nvme-cli-0.2-2.20160112gitbdbb4da.fc23.src.rpm

The changes are:
 - Remove a leftover comment in the spec file.
 - Update to a newer upstream commit, which fixes the makefile issue I reported.
 - Version bump.
Comment 3 Dennis Chen 2016-01-21 00:32:56 EST
I'll take this for review.
Comment 4 Dennis Chen 2016-01-21 01:03:06 EST
Everything looks good. Though I did notice there is a later version of this on the Github repository.
Comment 5 Gwyn Ciesla 2016-01-21 10:07:48 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nvme-cli
Comment 6 Fedora Update System 2016-01-21 13:57:34 EST
nvme-cli-0.2-2.20160112gitbdbb4da.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d174565d42
Comment 7 Fedora Update System 2016-01-21 23:54:21 EST
nvme-cli-0.2-2.20160112gitbdbb4da.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d174565d42
Comment 8 Fedora Update System 2016-02-03 15:51:33 EST
nvme-cli-0.2-2.20160112gitbdbb4da.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.